WebMO - Computational chemistry on the WWW
Recent news

WebMO 18.0 is now available for free download!

WebMO 18.0 Pro and Enterprise have a variety of additional features and is available for purchase.

The WebMO app is now available for iOS and Android.

December 12, 2019

Internal Server Error Log Out | Topics | Search
Moderators | Edit Profile

WebMO Support Forum » WebMO Installation » Running the WebMO Setup Script » Internal Server Error « Previous Next »

Author Message
Nicolas Ferré
Posted on Wednesday, July 13, 2005 - 9:36 am:   

After having installed WebMO without any error in diagnose.html and modified /etc/httpd/conf in order to run cgi scripts and so on, I get the following error message when I want to execute the login.cgi script:

*****************
The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, root@localhost and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.
******************

Obviously I checked the error log and found this line:
Premature end of script headers: login.cgi

Any idea ?
Nicolas Ferré
Posted on Wednesday, July 13, 2005 - 9:56 am:   

Hmm... forget about this, it was just a group id problem. Solved.
Mihai Medeleanu
Unregistered guest
Posted on Tuesday, September 26, 2017 - 3:02 pm:   

Reinstalling WebMO (17.0.012) after an upgrade on Manjaro Mate linux system. I already used WebMO system for a while, however now I received the following error:
----------------------------------
The server encountered an internal error and was unable to complete your request.

Error message:
End of script output before headers: login.cgi

--------------------------------------------
The apache settings are the same as usually.
I understand that this could be due to some changes in PERL. Do you know something about that?
JR Schmidt
Moderator
Username: Schmidt

Post Number: 564
Registered: 11-2006
Posted on Tuesday, September 26, 2017 - 3:07 pm:   

Check you Perl version. That may provide useful info.
Mihai Medeleanu
Unregistered guest
Posted on Tuesday, September 26, 2017 - 3:28 pm:   

This is perl 5, version 26, subversion 0 (v5.26.0) built for x86_64-linux-thread-multi.

According to ArchLinux site there is a change in perl library path:
https://www.archlinux.org/news/perl-library-path-change/
JR Schmidt
Moderator
Username: Schmidt

Post Number: 565
Registered: 11-2006
Posted on Tuesday, September 26, 2017 - 3:49 pm:   

Yep. You got bit by that security change. This will be fully resolved in WebMO 18. An immediate fix it go go to the WebMO cgi-bin directory and do a:

sed -i '2iuse lib ".";' *.cgi

on the command line.
Mihai Medeleanu
Unregistered guest
Posted on Tuesday, September 26, 2017 - 3:54 pm:   

THANKS!!! Now it works again!
Anonymous
 
Posted on Wednesday, December 20, 2017 - 2:17 am:   

SURESH
Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

after run this command sed -i '2iuse lib ".";' *.cgi
JR Schmidt
Moderator
Username: Schmidt

Post Number: 584
Registered: 11-2006
Posted on Wednesday, December 20, 2017 - 7:21 am:   

The proper solution at this point is to upgrade to WebMO 18.
Anonymous
 
Posted on Tuesday, December 26, 2017 - 6:25 am:   

Suresh
Even WebMo 18 also same error. I have tried with both 17 and 18 but same error.

Add Your Message Here
Post:
Username: Posting Information:
This is a public posting area. Enter your username and password if you have an account. Otherwise, enter your full name as your username and leave the password blank. Your e-mail address is optional.
Password:
E-mail:
Options: Post as "Anonymous"
Enable HTML code in message
Automatically activate URLs in message
Action:

Topics | Last Day | Last Week | Tree View | Search | Help/Instructions | Program Credits Administration